Favicon

You are here: Home > API Reference > UEM > Mdm Agent Logs > Get mdmAgentLogs by Id

Get mdmAgentLogs by Id

Required Permission: mdm.global.agentLog.get

Get mdmAgentLogs by Id

GET
/v1/organizations/:organizationId/mdm/agent-logs/:mdmAgentLogsId
Copy to clipboard

Get mdmAgentLogs by Id

Required Permission: mdm.global.agentLog.get

Get mdmAgentLogs by Id

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
mdmAgentLogsId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean optional
data object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
deviceType string optional
emmDevice admDevice winDevice
deviceId string optional
Match pattern: ^[a-fA-F0-9]{24}$
userAgent string optional
≤ 500 characters
organization string optional
Match pattern: ^[a-fA-F0-9]{24}$
location string optional
≤ 1000 characters
version integer optional
≥ 0
os string optional
ios android macos windows package
updatedAt string optional
Format: date-time
createdAt string optional
Format: date-time
content string optional
contentError string optional
file object optional
bucket string optional
≤ 256 characters
key string optional
≤ 256 characters
location string optional
≤ 256 characters
size number optional
Format: float
storageProviderId string optional
Match pattern: ^[a-fA-F0-9]{24}$
mimetype string optional
≤ 128 characters
originalName string optional
≤ 256 characters
{
    "status": true,
    "data": {
        "id": "string",
        "deviceType": "emmDevice",
        "deviceId": "string",
        "userAgent": "string",
        "organization": "string",
        "location": "string",
        "version": 0,
        "os": "ios",
        "updatedAt": "2024-01-01T00: 00:00Z",
        "createdAt": "2024-01-01T00: 00:00Z",
        "content": "string",
        "contentError": "string",
        "file": {
            "bucket": "string",
            "key": "string",
            "location": "string",
            "size": 0,
            "storageProviderId": "string",
            "mimetype": "string",
            "originalName": "string"
        }
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}